---
layout: members
title: pages.members.title
permalink: /members/
---
Achille Mbembe (Johannesburg University), Alain Supiot (Collège de France), Ana Soto (Tufts University), Anne Alombert (IRI), Axel Anderson (Writer and critic), Benoît Robin (IRI), Bernard Stiegler (IRI), Bernard Umbrecht (Le Saute-Rhin), Birgit Müller (EHESS), Carlos Sonnenschein (Tufts University School of Medicine), Clément Morlat (IRI), Colette Tron (Ars Industrialis), Dan Ross (IRI), David Bates (Berkeley University), David M. Berry (Sussex University), Divya Dwivedi (Indian Institute of Technology Delhi), Edoardo Toffoletto (EHESS), Felwin Sarr, Frédéric Neyrat (UW-Madison), Graham Bishop (Brown university), Hans Ulrich Obrist (Serpentine Galleries), Hidetaka Ishida (Tokyo University), Geert Lovink (Institut of Network Cultures), Gerald Moore (Durham University), Giacomo Gilmozzi (IRI), Giuseppe Longo (ENS/CNRS), Glenn Loughran (Technological University Dublin), Igor Galligo (Noödesign), Julien Dossier (Quattrolibri), Julien Le Hoangan (Ars Industrialis), Maël Montévil (IRI), Marco Pavanini (Durham University), Marie-Claude Bossière (Psychotherapist), Michal Krzykawski (University of Silesia in Katowice), Michel Bauwens (P2P Foundation), Mitra Azar (Aarhus University), Noel Fitzpatrick (Technological University Dublin), Noni Geiger (Rio de Janeiro State University), Olivier Landau (IRI), Paolo Vignola (Universidad de las Artes de Guayaquil), Petar Bojanic (University of Belgrade), Pieter Lemmens (Radbout University), Pierre Clergue (IRI), Richard Sennett (New York University & LSE), Riwad Salim (IRI), Ryan Bishop (University of Southampton), Sara Baranzoni (Universidad de las Artes de Guayaquil), Saskia Sassen (Columbia University & LSE), Simon Lincelles (Ars Industrialis), Shaj Mohan, Susanna Lindberg (Helsinki Collegium for Advanced Studies), Tania Espinoza (Writer and critic), Théo Sentis (IRI), Vincent Pinget (EDHEC), Vincent Puig (IRI), Yann Toma (Artist), Yuk Hui (China Academy of Art), Yves Citton (Université Paris 8), Yves-Marie Haussonne (IRI)... *[more to be announced soon]*

*This page is provisional*